Fechar mês de competência
curl --request POST \
--url https://api.juridiq.com.br/financial/periods/{year}/{month}/close \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/periods/{year}/{month}/close"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/periods/{year}/{month}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/financial/periods/{year}/{month}/close",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/financial/periods/{year}/{month}/close"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/financial/periods/{year}/{month}/close")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/financial/periods/{year}/{month}/close")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"month": 123,
"status": "closed",
"closedAt": "<string>",
"closedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reopenedAt": "<string>",
"reopenedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "<string>",
"issues": "<unknown>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Financial
Fechar mês de competência
POST
/
financial
/
periods
/
{year}
/
{month}
/
close
Fechar mês de competência
curl --request POST \
--url https://api.juridiq.com.br/financial/periods/{year}/{month}/close \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/periods/{year}/{month}/close"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/periods/{year}/{month}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/financial/periods/{year}/{month}/close",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/financial/periods/{year}/{month}/close"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/financial/periods/{year}/{month}/close")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/financial/periods/{year}/{month}/close")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"officeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"month": 123,
"status": "closed",
"closedAt": "<string>",
"closedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reopenedAt": "<string>",
"reopenedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "<string>",
"issues": "<unknown>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
Ano
Required range:
2000 <= x <= 2100Mês
Required range:
1 <= x <= 12Response
Default Response
ID do fechamento
ID do escritório
Ano
Mês
Status
Available options:
closed, reopened Fechado em
Quem fechou
Reaberto em
Quem reabriu
Criado em
Atualizado em

